package explorviz.hpc_monitoring.record.events.normal;

import explorviz.hpc_monitoring.record.events.AbstractOperationEvent;

public class AfterFailedOperationEvent extends AbstractOperationEvent {
    private final String cause;

    public AfterFailedOperationEvent(final long timestamp, final long traceId,
            final int orderIndex, final String operationSignature,
            final String cause) {
        super(timestamp, traceId, orderIndex, operationSignature);

        this.cause = cause;
    }

    public String getCause() {
        return cause;
    }
}
